neopixel module not found?

Posted on
  • require("neopixel");

    The neopixel module seems to be not available. I got the "module not found" from the web IDE. I tried hitting­.js and got 404. Has it been renamed / moved?


  • It's a library from 1v94 on. So probably you have an older version.

  • Yep - try updating your firmware. Some modules (like the neopixel one) are built in to the firmware as they have to be proper compiled C code.

  • Thanks! updated to 1.94 and it works. Make sense that neopixel lib is written as native lib for speeeed!

  • Post a reply
    • Bold
    • Italics
    • Link
    • Image
    • List
    • Quote
    • code
    • Preview

neopixel module not found?

Posted by Avatar for n00b @n00b